@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,500;0,700;1,300;1,500;1,700&display=swap');

* {
    font-family: 'Poppins';
}

/* Lengkapi Info Produk / Profile - React Dropzone */

.imgTambahProduk {
  width: 100%;
  height: 100%;
}

.thumbsContainer {
  display: flex;
  flex-flow: row wrap;
  margin-top: 16px;
}

.thumb {
  display: inline-flex;
  border-radius: 2px;
  border: #eaeaea;
  margin-bottom: 8px;
  margin-right: 8px;
  width: 100px;
  height: 100px;
  padding: 4px;
  box-sizing: border-box;
};

.thumbInner {
  display: flex;
  min-width: 0px;
  overflow: hidden;
};



/* Login dan Sign Up */

#secondHand {
  position: absolute;
  top: 35%;
  left: 3%;
  z-index: 1;
}

.iconArrowRegis {
  display: none;
}

#imgRegister {
  width: 580px;
  height: 569px;
  position: absolute;
  left: 0px;
  top: 0px;
  bottom: 0px;
}

.loginText {
  position: relative;
  top: 15%;
  right: 4%;
}

.signUpText {
  position: relative;
  top: 6%;
  right: 4%;
}

.txtRegister {
  text-align: center;
}

.formRounded {
  border-radius: 16px;
}

/* Info Penawar */

.titleTawar {
  padding-top: 5%;
  position:'relative';
  padding-left: 20%;
}

.cardPenawar {
  width: 60%;
  height: 10%;
  position: relative;
  align-items: left;
  left: 20%;
  border-radius: 16px;
  border-color: #4B1979;
  box-shadow: 0 1px 5px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
}

.kontenCardPenawar {
  text-align: left;
}

.txtCardPenawar {
  line-height: 70%;
  padding-top: 2%;
  position: relative;
  right: 78%;
}

#fotoBuyer {
  width: 20%;
  position: relative;
  padding-top: 0%;
  left: 2%;
}

.kontenCardBarangDitawar {
  font-size: 1em;
  position: relative;
  margin: 0;
  padding: 1em;
  border: none;
  border-top: 1px solid rgba(34, 36, 38, .1);
  box-shadow: none;
  line-height: 80%;
}

.cardBarangDitawar {
  width: 60%;
  position: relative;
  left: 20%;
  border-radius: 16px;
  overflow: hidden;
  padding: 5;
  box-shadow: 0 1px 3px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
  margin-top:20px;

}

.imgBarangDitawar {
  width: 100%;
  height: 100%;
  position: relative;
  padding-top: 1%;
  padding-bottom: 1%;
  left: 10%;
}

/* COMPONENT : NavbarPlain*/

.navbarPlainTitle {
  text-align: center;
  position: relative;
  right: 45%;
}


.inputLarge {
  height: 80px;
}

.iconArrowLeft {
  position: relative;
  left: 25%;
  top: 50%;
}

.iconArrowLeftNav {
  display: none;
}

/* COMPONENTS : BUTTON */

/* Button Large */

.btnPurpleLg {
  width: 100%;
  background-color:#7126B5;
  border-radius: 16px;
  border-color: #7126B5;
  color: #fff;
}

.btnPurpleLg:hover  {
  background-color: #A06ECE;
  border-color: #A06ECE;
  color: #fff;
}

.btnPurpleLg:active:focus {
  background-color: #4B1979;
  border-color: #4B1979;
  color: #fff;
}

/* Button Medium */

.btnPurpleMd {
  width: 49%;
  background-color:#7126B5;
  border-radius: 16px;
  border-color: #7126B5;
  color: #fff;
  margin-left: 1%;
}

.btnPurpleMd:hover  {
  background-color: #A06ECE;
  border-color: #A06ECE;
  color: #fff;
}

.btnPurpleMd:active:focus {
  background-color: #4B1979;
  border-color: #4B1979;
  color: #fff;
}

.btnSecondaryMd {
  width: 49%;
  background-color:#fff;
  border-radius: 16px;
  border-color: #7126B5;
  color: #7126B5;
  margin-left: 1%;
}

.btnSecondaryMd:hover  {
  background-color: #A06ECE;
  border-color: #7126B5;
  color: #fff;
}

.btnSecondaryMd:active:focus {
  background-color:  #7126B5;
  border-color:  #7126B5;
  color: #fff;
}

/* Button Small */

.btnPurpleSm {
  width: 24%;
  background-color:#7126B5;
  border-radius: 16px;
  border-color: #7126B5;
  color: #fff;
  margin-left: 1%;
}

.btnPurpleSm:hover  {
  background-color: #A06ECE;
  border-color: #A06ECE;
  color: #fff;
}

.btnPurpleSm:active:focus {
  background-color: #4B1979;
  border-color: #4B1979;
  color: #fff;
}

.btnSecondarySm {
  width: 24%;
  background-color:#fff;
  border-radius: 16px;
  border-color: #7126B5;
  color: #7126B5;
  margin-left: 1%;
}

.btnSecondarySm:hover  {
  background-color: #A06ECE;
  border-color: #7126B5;
  color: #fff;
}

.btnSecondarySm:active:focus {
  background-color:  #7126B5;
  border-color:  #7126B5;
  color: #fff;
}
/* Masuk */
.btnPurple {
  background-color: #7126b5;
  border-radius: 12px;
  border-color: #7126b5;
  color: #ffff;
  height: 48px;
}

.btnPurple:hover {
  background-color: #A06ECE;
  border-color: #A06ECE;
  color: #fff;
}

/* Link as Button */
.btnLinkPurp {
  color:#7126B5;
}

.btnLinkPurp:hover {
  color:#A06ECE;
}

.btnLinkPurp:active:focus {
  color: #4B1979;
}

/* Modal */

.fotoModal {
  width: 48px;
  height: 48px;
  border-radius: 16px;
}

.expCheckBox {
  padding-left: 6%;
  font-size: smaller;
  color: #696868;
}

.cardModal {
  border-radius: 16px;
}

.radioButton {
  accent-color: #4B1979;
}

/* Navbar Notif */
.iconImg {
  padding-right: 0px;
  padding-bottom: 0px;
}

.searchBox {
  display: flex;
  flex-direction: row;
  align-items: left;
  gap: 16px;
  width: 80px;
  height: 40px;
  right: 10%;
  background: #eeeeee;
  border-radius: 16px;
}

.kotakCari {
  position: relative;
  right: 1%;
}

.navbarKonten {
  position: relative;
  left: 35%;
}

.menuText{
  display: none;
}

.shadowBox {
  box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.15);
}

.textShadowBox {
  box-shadow: 0px 0px 4px rgba(0, 0, 0, 0.15);
  border-radius: 16px;
}



/* Daftar Jual */

.titleDaftarJual {
  position: relative;
  left: 47%;
  margin-top: 1%;
}

.cardSeller {
  width: 80%;
  height: 10%;
  position: relative;
  align-items: left;
  left: 10%;
  margin-top: 2%;
  border-radius: 16px;
  box-shadow: 0 1px 5px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
}

.kontenCardSeller {
  text-align: left;
}

.txtCardSeller {
  line-height: 70%;
  padding-top: 5%;
  position: relative;
  right: 78%;
}

#fotoSeller {
  width: 20%;
  position: relative;
  padding-top: 0%;
  left: 2%;
}

.btnEditSeller {
  position: relative;
  left: 20%;
}

.colJual {
  width: 54%;
  position: relative;
  left: 10%;
  padding-top: 3%;
}

.cardMenuPenjual {
  width: 100%;
  height: 14em;
  align-items: left;
  border-radius: 16px;
  box-shadow: 0 1px 5px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
  position: relative;
  left: 46%;
  top: 2em;
}

.kontenCardMenuPenjual {
  padding-top: 7%;
  padding-left: 7%;
  padding-bottom: 3%;
  padding-right: 7%;
}

.txtMenuPenjual:link { 
  text-decoration: none;
  color: #696868;
}

.txtMenuPenjual:visited { 
  text-decoration: none;
  color: #696868;
}

.txtMenuPenjual:hover { 
  text-decoration: none;
  color:#A06ECE;
}

.txtMenuPenjual:active { 
  text-decoration: none;
  color: #4B1979;
}

#menuPressed {
  color: #4B1979;
}

#menuPressed:hover {
  color:#A06ECE;
}

.h1Card {
  font-size:small;
}

.h2Card {
  font-size:smaller;
  color: #9b9b9b;
}

.txtCardProduk{
  line-height:80%;
  border-radius: 8px;
  height: 90%;
  padding-bottom: 7%;
}

.belumMinat {
  text-align: center;
}

.menuSellerMobile {
  display: none;
}

.btnMenuSeller {
  color: black;
  background-color: #e2d4f0;
  border-radius: 12px;
  border-color: #e2d4f0;
  height: 48px;
  width: 100%;
  min-width: 180px;
  margin-right: 2%;
}

/* FOR SMALLER DEVICE */

@media screen and (max-width : 767px) {

  /* Login dan Sign Up */
  .iconArrowRegis {
    display: flex;
    position: relative;
    padding-bottom: 15%;
  }

  #imgRegister {
    display: none;
  }

  #secondHand {
    display: none;
  }

  .loginText  {
    position: relative;
    top: 20%;
    right: 0%;
  }

  .signUpText {
    position: relative;
    top: 14%;
    right: 0%;
  } 

  /* NavbarPlain */

  #logoNavbar{
    display: none;
  }

  .navbarPlainTitle {
    text-align: center;
   position: absolute;
    right: 29%;
    padding-top: 2%;
    padding-bottom: 1%; 
  }

  .iconArrowLeft {
    display: none;
  }

  .iconArrowLeftNav {
    display: inline;
    position: relative;
    left: 4%;
  }

  /* Info Penawar */

  .titleTawar {
      padding-top: 12%;
      position:'relative';
      padding-left: 10%;
    }

  .cardPenawar {
    width: 100%;
    border-radius: 16px;
    border-color: #4B1979;
    position: relative;
    left: 1%;
    margin-top: 15%;
    box-shadow: 0 1px 3px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
  }

    .kontenCardPenawar {
      text-align: left;
      padding-bottom: 0%;
      
    }

    .txtCardPenawar {
      line-height: 75%;
      padding-top: 15%;
      position: relative;
      right: 13%;
    }

    #fotoBuyer {
      width: 60%;
      position: relative;
      padding-top: 0%;
      padding-bottom: 1%;
      left: 28%;

    }

    .cardBarangDitawar {
      width: 100%;
      position: relative;
      left: 1%;
      border-radius: 16px;
      overflow: hidden;
      padding: 5;
      box-shadow: 0 1px 3px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
      margin-top:20px;
    }

    .imgBarangDitawar {
      width: 100%;
      height: 100%;
      position: relative;
      padding-top: 0%;
      padding-bottom: 0%;
      padding-right: 0%;
      left: 0%;
      right: 0%;
    }

  /* Modal */
  .txtModal1 {
    position: relative;
    left: 3%;
  }

  /* Daftar Jual */
  .cardMenuPenjual {
    display: none;
  }

  .titleDaftarJual {
    position: relative;
    left: 2%;
    margin-top: 0%;
    text-align: center;
  }

  .cardSeller {
    width: 100%;
    position: relative;
    align-items: left;
    left: 1%;
    margin-top: 3%;
    border-radius: 16px;
    box-shadow: 0 1px 5px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
  }


  .txtCardSeller {
    line-height: 100%;
    position: relative;
    left: 0%;
    bottom: 1%;
  }

  #fotoSeller {
    width: 100%;
    position: relative;
    padding-top: 0%;
    left: 0%;
  }

  .btnEditSeller {
    position: relative;
    left: 0%;
  }

  .btnSecondarySm {
    width: 100%;
  }

  .colJual {
    width: 100%;
    position: relative;
    left: 0%;
    padding-top: 10%;
  }

  .kontenCardMenuPenjual {
    padding-top: 7%;
    padding-left: 7%;
    padding-bottom: 3%;
    padding-right: 7%;
  }

  .menuSellerMobile {
    display: inline;
    position: relative;
    top: 30%;
    left: 3%;
  }

  .belumMinat {
    position: relative;
    top: 20%;
  }

  .btnMenuSeller:hover {
    background-color: #7126B5;
    color: white;
  }

  .menuSellerMobile {
    overflow-x: scroll;
    display: flex;
    position: relative;
    margin-bottom: 4%
  }

  .menuSellerMobile::-webkit-scrollbar{
    display: none;
  }

  /* Navbar Notif */

  .offcanvas-end{
    width: 45%;
  }

  .navbarKonten {
    position: relative; 
    left: 3%;
  }

  .logoNavbarNotif {
    display: none;
  }

  .menuText{
    display: inline;
    color: #4B1979;
  }

  .menuIcon {
    display: none;
  }


}

/* FOR MEDIUM DEVICE */

@media screen and (min-width : 768px) and (max-width : 1024px) {

  /* Navbar Notif */

  .offcanvas-end{
    width: 30%;
  }

.navbarKonten {
    position: relative; 
    left: 3%;
  }

  .menuText{
    display: inline;
    color: #4B1979;
  }
  
  .menuIcon {
    display: none;
  }

  
  /* Login dan Sign Up */

  #imgRegister {
      width: 50%;
      height: 100%;
      position: absolute;
      left: 0px;
      top: 0px;
      bottom: 0px; 
  }

  #secondHand {
    position: absolute;
    top: 25%;
    left: 3%;
    z-index: 1;
  }

  .loginText {
    position: relative;
    top: 40%;
    right: 1%;
  } 

  .signUpText {
    position: relative;
    top: 30%;
    right: 0%;
  }

    /* NavbarPlain */
    #logoNavbar{
      display: none;
    }
  
    .navbarPlainTitle {
      text-align: center;
      position: relative;
      right: 40%;
      padding-top: 2%;
      padding-bottom: 1%;
    }
  
    .iconArrowLeft {
      display: none;
    }
  
    .iconArrowLeftNav {
      display: inline;
      position: relative;
      left: 2%;
    }

    /* Lengkapi Profil */
    .formInfo {
      position: relative;
      top: 12%;
      left: 50%;
    }

  /* Info Penawar */

  .titleTawar {
    position: relative;
    left: 10%;
  }
  .cardPenawar {
    width: 88%;
    height: 20%;
    border-radius: 16px;
    border-color: #4B1979;
    position: relative;
    left: 6%;
    margin-top: 8%;
  }

  .kontenCardPenawar {
    text-align: left;
    padding-bottom: 0%;
    
  }

  .txtCardPenawar {
    line-height: 75%;
    padding-top: 2%;
    position: relative;
    right: 70%;
  }

  #fotoBuyer {
    width: 20%;
    position: relative;
    padding-top: 0%;
    padding-bottom: 0%;
    left: 10%;
  }

  .cardBarangDitawar {
    width: 88%;
    position: relative;
    left: 6% ;
  }

  /* Modal */
    .modalBox {
      padding-bottom: 50%;
    }

  /* Daftar Jual */
  .cardMenuPenjual {
    display: none;
  }

  .titleDaftarJual {
    position: relative;
    left: 7%;
    margin-top: 0%;
    text-align: center;
  }

  .cardSeller {
    width: 100%;
    position: relative;
    align-items: left;
    left: 1%;
    margin-top: 3%;
    border-radius: 16px;
    box-shadow: 0 1px 5px 0 #d4d4d5, 0 0 0 1px #d4d4d5;
  }


  .txtCardSeller {
    line-height: 100%;
    position: relative;
    right: 58%;
    bottom: 1%;
  }

  #fotoSeller {
    width: 35%;
    position: relative;
    padding-top: 0%;
    left: 0%;
  }

  .btnEditSeller {
    position: relative;
    left:8%;
    padding-right: 0%;
  }

  .btnSecondarySm {
    width: 40%;
  }

  .colJual {
    width: 100%;
    position: relative;
    left: 0%;
    padding-top: 6%;
  }

  .kontenCardMenuPenjual {
    padding-top: 7%;
    padding-left: 7%;
    padding-bottom: 3%;
    padding-right: 7%;
  }

  .menuSellerMobile {
    display: inline;
    position: relative;
    top: 30%;
    left: 1%;
  }

  .belumMinat {
    position: relative;
    top: 20%;
  }

  /* Lengkapi Info Produk dan Profil */
  .formInfoProduk {
    position: relative;
    left: 50%;
  }

  .formInfoProfil {
    position: relative;
    left: 50%;
  }
    
}
